version: "3.9"

services:
  app:
    image: xoderockson/xgame-blogs-api:latest
    container_name: xgame-blogs-api
    env_file:
      - .env
    ports:
      - 3002:3002

  copy-blogs-env:
    image: xoderockson/xgame-blogs-api:latest
    container_name: copy-blogs-env
    volumes:
      - /var/www/xgame-apis/xgame-blogs-api/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
